Bug 159168 - need partimage on rescue part of cd 1
need partimage on rescue part of cd 1
Product: Red Hat Enterprise Linux 4
Classification: Red Hat
Component: parted (Show other bugs)
All Linux
medium Severity medium
: ---
: ---
Assigned To: David Cantrell
Brock Organ
: FutureFeature
Depends On:
  Show dependency treegraph
Reported: 2005-05-30 19:45 EDT by Need Real Name
Modified: 2007-11-30 17:07 EST (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Enhancement
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2006-06-27 16:50:30 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description Need Real Name 2005-05-30 19:45:23 EDT
Dudes!  Disk one, when run in rescue mode, does not have partimage supported.
This makes it really, really difficult to restore a partition image
after a crash.  Please add partimage to your next respin.
Many thanks,
Comment 1 Suzanne Hillman 2005-05-31 15:02:45 EDT
In order to file a RHEL feature request, please either contact Red Hat's
Technical Support line at 888-REDHAT-1 or file a web ticket at
http://www.redhat.com/apps/support/.  Bugzilla is not an official support
channel, has no response guarantees, and may not route your request to the
correct area to assist you.  Using the official support channels above will
guarantee that your issue is handled appropriately and routed to the
individual or group which can best assist you with this issue and will also
allow Red Hat to track the issue, ensuring that any applicable feature
addition is included in all releases and is not dropped from a future update
or major release.
Comment 2 Need Real Name 2005-06-03 21:08:06 EDT
Hi Suzanne,

   Two points to make:

1) an incomplete rescue disk that requires me to download and burn a third
party rescue disk to do what, rationally, should be on your rescue disk,
IS A BUG.  It is pretty hard to "rescue" your system, if you do not
have access to the proper, common tools.

2) The link you gave me is only for RHEL customers.  I am using White Box
Enterprose Linux (WBEL).  As such, I can not log in, so your impassioned
instructions are useless.  And, as such, cuts Red Hat off from a vital
source of feedback.  So, use this method of reporting and please reopen 
this bug.  It is all that is available to me.

Many thanks,
Comment 3 Suzanne Hillman 2005-06-06 12:12:17 EDT
Noted. Leaving this open so people can investigate it.

You would probably be best off if you also submitted this bug through WBEL's
support channels, since you are not actually using RHEL.

In the future, please put a note in your bugs to let us know that you are not
using RHEL, but instead something which was based on RHEL. This will reduce the
likelihood of suggestions that you go through our support channels, and will
make things easier to investigate on our end.
Comment 5 David Cantrell 2006-06-27 16:50:30 EDT
Explored adding partimage to the rescue image, but the partimage code uses its
own copy of the e2fsprogs code.  In addition, it has NTFS support, which we
can't include.  We'd have to significantly reduce the functionality of partimage
to include it, but there are also other problems such as what happens to
extended attributes and SELinux data on an ext2/ext3 filesystem.

Not going to add this to the rescue image.

Note You need to log in before you can comment on or make changes to this bug.